import { Theme } from '../theme';
/**
 * Converts a SRC Styled prop to CSS property for it to get written in the Styled component CSS.
 * If value is CSS selector, it converts value's children to CSS properties and wraps them in the selector.
 *
 * If key has 'get' as prefix and its value is function, treats it as a getter function and fetches the CSS by calling the function for each given breakpoint.
 *
 * @param key - Styled prop name
 * @param props - Given Styled props
 * @param theme
 */
export declare const convertStyledPropToCSS: (key: string, props: any, theme: Theme) => string;
